## graphite-api 1.1

=== requirements.txt ===
Flask
Flask-Cache
cairocffi
pyparsing
pytz
pyyaml
raven[flask]
six
structlog
tzlocal

=== debian/changelog ===
graphite-api (1.1-1ubuntu1) xenial; urgency=medium

  * Build-depend on python-sphinx to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 29 Oct 2015 15:37:25 -0400

graphite-api (1.1-1) unstable; urgency=medium

  * Initial release. Closes: #759525.

 -- Vincent Bernat <bernat@debian.org>  Thu, 15 Oct 2015 09:58:25 +0200

=== debian/control ===
Source: graphite-api
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Graphite Group <pkg-graphite-maint@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3,
               python3-flask,
               python3-cairocffi,
               python3-pyparsing,
               python3-tz,
               python3-tzlocal,
               python3-yaml,
               python3-six,
               python3-structlog,
               python3-setuptools,
               python3-sphinx
Standards-Version: 3.9.6
Homepage: https://github.com/brutasse/graphite-api/
Vcs-Git: git://anonscm.debian.org/pkg-graphite/packages/graphite-api.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-graphite/packages/graphite-api.git;a=summary

Package: graphite-api
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         adduser
Suggests: gunicorn3 | uwsgi-plugin-python3 | libapache2-mod-wsgi-py3
Description: Enterprise Scalable Realtime Graphing (API-only frontend)
 Graphite consists of a storage backend and a web-based visualization
 frontend. Client applications send streams of numeric time-series
 data to the Graphite backend (called carbon), where it gets stored in
 fixed-size database files similar in design to RRD.
 .
 Graphite-API is an alternative to Graphite-web, without any built-in
 dashboard. Its role is solely to fetch metrics from a time-series
 database and rendering graphs or JSON data out of these time
 series. It is meant to be consumed by any of the numerous Graphite
 dashboard applications.

## graphite-api 1.1.2

=== requirements.txt ===
Flask
Flask-Cache
cairocffi
pyparsing>=1.5.7
pytz
pyyaml
raven[flask]
six
structlog
tzlocal

=== debian/changelog ===
graphite-api (1.1.2-3) unstable; urgency=medium

  * Fix directories removal on purge. Thanks to Andreas Beckmann for the
    report. Closes: #802454.

 -- Vincent Bernat <bernat@debian.org>  Sat, 27 Feb 2016 20:41:39 +0100

graphite-api (1.1.2-2) unstable; urgency=medium

  * Add a SysV init script using gunicorn3.
  * Add a systemd unit file using gunicorn3.
  * Bump Standards-Version.
  * Use secure Vcs-* fields.

 -- Vincent Bernat <bernat@debian.org>  Sat, 27 Feb 2016 19:18:54 +0100

graphite-api (1.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sun, 03 Jan 2016 17:26:53 +0100

graphite-api (1.1.1-1) unstable; urgency=medium

  * New upstream release.
     + 0001-Allow-tests-to-succeed-without-Flask-Cache.patch: removed

 -- Vincent Bernat <bernat@debian.org>  Sat, 31 Oct 2015 22:04:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: graphite-api
 Section: web
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Graphite Group <pkg-graphite-maint@lists.alioth.debian.org>
+Maintainer: Debian Graphite Group <pkg-graphite-maint@lists.alioth.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -17,10 +16,10 @@
                python3-structlog,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/brutasse/graphite-api/
-Vcs-Git: git://anonscm.debian.org/pkg-graphite/packages/graphite-api.git
-Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-graphite/packages/graphite-api.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-graphite/packages/graphite-api.git
+Vcs-Browser: https://anonscm.debian.org/gitweb?p=pkg-graphite/packages/graphite-api.git;a=summary
 
 Package: graphite-api
 Architecture: all

## graphite-api 1.1.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Graphite-API.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Graphite-API.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Graphite-API"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Graphite-API"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
graphite-api (1.1.3-5) unstable; urgency=medium

  * d/control: Depends on ${sphinxdoc:Depends}. Closes: #861500.

 -- Vincent Bernat <bernat@debian.org>  Mon, 15 Oct 2018 16:22:25 +0200

graphite-api (1.1.3-4) unstable; urgency=medium

  * d/control: add python3-xcffib to Build-Depends. Closes: #905403.

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Aug 2018 09:31:03 +0200

graphite-api (1.1.3-3) unstable; urgency=medium

  * d/control: fix maintainer address to use tracker.debian.org.
  * d/control: remove invalid Vcs-* until migration to Salsa is done.
  * d/control: switch Priority to optional.
  * d/service: fix RequiresMountsFor spelling.

 -- Vincent Bernat <bernat@debian.org>  Wed, 25 Jul 2018 08:40:41 +0200

graphite-api (1.1.3-2) unstable; urgency=medium

  * d/control: Build-Depends on python3-sphinx-rtd-theme. Closes: #828715.

 -- Vincent Bernat <bernat@debian.org>  Sat, 03 Sep 2016 22:49:50 +0200

graphite-api (1.1.3-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Tue, 24 May 2016 14:33:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: graphite-api
 Section: web
-Priority: extra
-Maintainer: Debian Graphite Group <pkg-graphite-maint@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Graphite Group <team+debian-graphite-team@tracker.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python3,
                python3-flask,
                python3-cairocffi,
+               python3-xcffib,
                python3-pyparsing,
                python3-tz,
                python3-tzlocal,
@@ -15,16 +16,15 @@
                python3-six,
                python3-structlog,
                python3-setuptools,
-               python3-sphinx
-Standards-Version: 3.9.7
+               python3-sphinx, python3-sphinx-rtd-theme
+Standards-Version: 3.9.8
 Homepage: https://github.com/brutasse/graphite-api/
-Vcs-Git: https://anonscm.debian.org/git/pkg-graphite/packages/graphite-api.git
-Vcs-Browser: https://anonscm.debian.org/gitweb?p=pkg-graphite/packages/graphite-api.git;a=summary
 
 Package: graphite-api
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+         ${sphinxdoc:Depends},
          adduser
 Suggests: gunicorn3 | uwsgi-plugin-python3 | libapache2-mod-wsgi-py3
 Description: Enterprise Scalable Realtime Graphing (API-only frontend)

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR=debian/graphite-api

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

override_dh_installdocs:
	dh_installdocs
	PYTHONPATH=. sphinx-build -N -q -E -b html docs/ \
		debian/graphite-api/usr/share/doc/graphite-api/html/
